Page MenuHomePhabricator

"MediaWiki:Echo-email-html-footer-with-link" should support {{GENDER}}
Closed, ResolvedPublic

Description

MediaWiki:Echo-email-html-footer-with-link should have a parameter that indicates the username of the reader. This is important because in some languages the email should be written in accordance with the gender of the reader.

Event Timeline

Guycn2 created this task.Sep 12 2016, 7:04 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 12 2016, 7:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 12 2016, 9:17 PM

Change 314686 had a related patch set uploaded (by Mounicamergify):
Add GENDER support to echo-email-html-footer-with-link

https://gerrit.wikimedia.org/r/314686

Looking at i18n/en.json:

"echo-email-footer-default-html": "To control which emails we send you, <a href=\"$2\" style=\"text-decoration:none; color: #3868B0;\">check your preferences</a>.<br />\n$1",
"echo-email-footer-default": "$2\n\nTo control which emails we send you, check your preferences:\n{{canonicalurl:{{#special:Preferences}}#mw-prefsection-echo}}\n\n$1",
"echo-email-plain-footer": "To control which emails we send you, check your preferences:",
"echo-email-html-footer-preference-link-text": "check your preferences",
"echo-email-html-footer-with-link": "To control which emails we send {{GENDER:$3|you}}, $1.",

there are even more messages which could benefit from the same changes. But I'm not sure whether all of them are used...

JadeMaveric added a subscriber: JadeMaveric.EditedNov 2 2016, 1:13 PM

Looking at i18n/en.json:

"echo-email-footer-default-html": "To control which emails we send you, <a href=\"$2\" style=\"text-decoration:none; color: #3868B0;\">check your preferences</a>.<br />\n$1",
"echo-email-footer-default": "$2\n\nTo control which emails we send you, check your preferences:\n{{canonicalurl:{{#special:Preferences}}#mw-prefsection-echo}}\n\n$1",
"echo-email-plain-footer": "To control which emails we send you, check your preferences:",
"echo-email-html-footer-preference-link-text": "check your preferences",
"echo-email-html-footer-with-link": "To control which emails we send {{GENDER:$3|you}}, $1.",

there are even more messages which could benefit from the same changes. But I'm not sure whether all of them are used...

Hmm... I'll go through to check for additional messages.
I will mentor this in Google-Code-In-2016
So, even if they aren't very used often. It's should lengthen the task a bit. It really easy, if you're acquainted with the workflow.

Nemo_bis triaged this task as Normal priority.Nov 6 2016, 12:18 PM

If someone picks up this task, note that a patch (that needs improvement) already exists. See https://www.mediawiki.org/wiki/Gerrit/Tutorial#Amending_a_change_.28your_own_or_someone_else.27s.29

If someone picks up this task, note that a patch (that needs improvement) already exists. See https://www.mediawiki.org/wiki/Gerrit/Tutorial#Amending_a_change_.28your_own_or_someone_else.27s.29

Okay, I'll keep that in mind.

MtDu claimed this task.Dec 28 2016, 3:50 PM
MtDu added subscribers: Catrope, MtDu.

I amended the patch to support GENDER for the messages that I could. I think echo-email-footer-default and echo-email-footer-default-html are no longer being used. If so, could I remove them? @Catrope who did you say to ask to make sure the messages weren't being used?

MtDu added a subscriber: SBisson.Dec 28 2016, 3:52 PM

@SBisson See above message. :)

Change 314686 abandoned by Catrope:
Add GENDER support to a few Echo messages

Reason:
Weird merge commit that's hard to rebase. MtDu will make a new patch from scratch.

https://gerrit.wikimedia.org/r/314686

Change 329496 had a related patch set uploaded (by MtDu):
Add GENDER support to a few Echo messages

https://gerrit.wikimedia.org/r/329496

MtDu closed this task as Resolved.Dec 28 2016, 5:07 PM

Patch set has been merged. Hence closing as resolved.
Thanks!

MtDu added a comment.Dec 28 2016, 5:07 PM

Patch set has been merged. Hence closing as resolved.
Thanks!

Change 329496 merged by jenkins-bot:
Add GENDER support to a few Echo messages

https://gerrit.wikimedia.org/r/329496